session = OCI8.new("user","password")

query = "select * from people where name = :name"
# One way...
session.exec(query,'John Smith')
# Another...
cursor = session.parse(query)
cursor.exec('John Smith')
# And another...
cursor = session.parse(query)
cursor.bind_param(':name','John Smith')  # bind by name
cursor.exec
# And another.
cursor = session.parse(query)
cursor.bind_param(1,'John Smith')        # bind by position
cursor.exec

